List FPP Client Properties
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppClients/{fppClientId}/properties
Lists all properties of an FPP client
Request
Path Parameters
-
fppClientId(required): string
ID of the FPP client
Query Parameters
-
limit: integer(int32)
Limit count of the items in the responseExample:
10 -
page: string
Marker indicating the next set (page) of itemsExample:
b2Zmc2V0OjA -
sort: string
Comma separated list of fields along with an optional sort direction. Valid fields include name. Valid sort directions include asc and desc. If sort direction is not specified asc is used by default.Default Value:
name:asc
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. FPP client properties retrieved.
Root Schema : FppClientPropertyCollection
Type:
objectFPP client properties
Match All
FPP client properties
Show Source
-
object
allOf
PropertyCollection
FPP properties
Nested Schema : PropertyCollection
Type:
objectFPP properties
Show Source
-
items: array
items
Array of properties
-
targetId: string
ID of the target
Match All
FPP properties
FPP properties
Show Source
-
object
Pagination
Collection of items with links
-
object
schema
Target details
Nested Schema : Pagination
Type:
objectCollection of items with links
Show Source
-
count: integer
Count of this fetchExample:
40 -
links: object
Links
Represents the array of links
-
total: integer
total countExample:
40
Nested Schema : schema
Type:
objectTarget details
Show Source
-
targetName: string
Name of the targetExample:
sales_db1 -
targetType: string
Type of the targetExample:
oracle_database
Nested Schema : Links
Type:
objectRepresents the array of links
Show Source
-
next: object
Link
It represents a Link
-
previous: object
Link
It represents a Link
-
self: object
Link
It represents a Link
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message